IFAPI_PCR Struct Reference

`#include <fapi_int.h>`

## Data Fields

TPML_DIGEST_VALUES | digest_list
TPML_DIGEST_VALUES * | event_digests
ESYS_TR | PCR
TPML_PCR_SELECTION | pcr_selection
TPML_PCR_SELECTION * | pcr_selection_out
UINT32 | update_count
TPML_DIGEST * | pcrValues
TPM2_HANDLE | pcrIndex
TPMI_ALG_HASH | hashAlg
const char * | keyPath
ESYS_TR | handle
IFAPI_OBJECT * | key_object
TPMS_CAPABILITY_DATA * | capabilityData
uint32_t * | pcrList
size_t | pcrListSize
TPM2B_DATA | qualifyingData
uint8_t const * | eventData
TPM2B_EVENT | event
size_t | eventDataSize
uint32_t const * | hashAlgs
uint32_t * | hashAlgs2
size_t | numHashAlgs
char const * | quoteInfo
char * | certificate
TPM2B_ATTEST * | tpm_quoted
TPMT_SIGNATURE * | tpm_signature
uint8_t * | signature
size_t | signatureSize
char const * | logData
char * | pcrLog
IFAPI_EVENT | pcr_event
json_object * | event_list
FAPI_QUOTE_INFO | fapi_quote_info
uint8_t * | pcrValue
size_t | pcrValueSize
char * | event_log_file

## Detailed Description

The data structure holding internal state of Fapi_PCR commands.

## Field Documentation

## digest_list

TPML_DIGEST_VALUES digest_list

The digest list computed for the event

## event_digests

TPML_DIGEST_VALUES* event_digests

The digest list computed by TPM2_Event

## handle

ESYS_TR handle

The ESYS handle of the signing key

## key_object

IFAPI_OBJECT* key_object

The IPAPI object of the signing key

## keyPath

const char* keyPath

The implicit key path for PCR_Quote

## PCR

ESYS_TR PCR

The handle of the PCR register to be extended

## pcr_selection

TPML_PCR_SELECTION pcr_selection

Selection used for Read and Quote

## pcr_selection_out

TPML_PCR_SELECTION* pcr_selection_out

Selection returned by PCR_Read

## pcrList

uint32_t* pcrList

Array of PCR numbers

## pcrListSize

size_t pcrListSize

Size of PCR array

## qualifyingData

TPM2B_DATA qualifyingData

Nonce for quote command

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h